



<!DOCTYPE html>
<html lang="en">
  
  <head>
    
      <meta charset="utf-8">
      <title>Bokeh Plot</title>
      
      
        
          
        <link rel="stylesheet" href="https://cdn.pydata.org/bokeh/release/bokeh-1.2.0.min.css" type="text/css" />
        
        
          
        <script type="text/javascript" src="https://cdn.pydata.org/bokeh/release/bokeh-1.2.0.min.js"></script>
        <script type="text/javascript">
            Bokeh.set_log_level("info");
        </script>
        
      
      
    
  </head>
  
  
  <body>
    
      
        
          
          
            
              <div class="bk-root" id="52fd312c-afb9-400e-a686-ca0438038291" data-root-id="1001"></div>
            
          
        
      
      
        <script type="application/json" id="1103">
          {"a9d327a4-54ad-4f84-8680-4bf6b98ee2b3":{"roots":{"references":[{"attributes":{"field":"angle"},"id":"1026","type":"CumSum"},{"attributes":{},"id":"1035","type":"BasicTickFormatter"},{"attributes":{"axis_label":null,"formatter":{"id":"1035","type":"BasicTickFormatter"},"ticker":{"id":"1013","type":"BasicTicker"},"visible":false},"id":"1012","type":"LinearAxis"},{"attributes":{"callback":null,"data":{"angle":{"__ndarray__":"AAAAAAAAAADjfdRrQkfCP+N91GtCR+I/VYNaHO2A+j+imoauPbzyP1L2IifaVOw/UGnrMcco7j/mCgxhVXPgP9dJ9pb2lsk/0S+HrNA+vT/RL4es0D6dP9Evh6zQPp0/0S+HrNA+nT8AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA=","dtype":"float64","shape":[16]},"color":["#3182bd","#6baed6","#9ecae1","#c6dbef","#e6550d","#fd8d3c","#fdae6b","#fdd0a2","#31a354","#74c476","#a1d99b","#c7e9c0","#756bb1","#9e9ac8","#bcbddc","#dadaeb"],"country":["Age Between: 20 - 25","Age Between: 25 - 30","Age Between: 30 - 35","Age Between: 35 - 40","Age Between: 40 - 45","Age Between: 45 - 50","Age Between: 50 - 55","Age Between: 55 - 60","Age Between: 60 - 65","Age Between: 65 - 70","Age Between: 70 - 75","Age Between: 75 - 80","Age Between: 80 - 85","Age Between: 85 - 90","Age Between: 90 - 95","Age Between: 95 - 100"],"index":[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15],"value":[0,5,20,58,41,31,33,18,7,4,1,1,1,0,0,0]},"selected":{"id":"1045","type":"Selection"},"selection_policy":{"id":"1046","type":"UnionRenderers"}},"id":"1027","type":"ColumnDataSource"},{"attributes":{},"id":"1037","type":"BasicTickFormatter"},{"attributes":{},"id":"1013","type":"BasicTicker"},{"attributes":{},"id":"1010","type":"LinearScale"},{"attributes":{"grid_line_color":null,"ticker":{"id":"1013","type":"BasicTicker"}},"id":"1016","type":"Grid"},{"attributes":{"axis_label":null,"formatter":{"id":"1037","type":"BasicTickFormatter"},"ticker":{"id":"1018","type":"BasicTicker"},"visible":false},"id":"1017","type":"LinearAxis"},{"attributes":{},"id":"1008","type":"LinearScale"},{"attributes":{"below":[{"id":"1012","type":"LinearAxis"}],"center":[{"id":"1016","type":"Grid"},{"id":"1021","type":"Grid"},{"id":"1038","type":"Legend"}],"left":[{"id":"1017","type":"LinearAxis"}],"plot_height":350,"renderers":[{"id":"1031","type":"GlyphRenderer"}],"title":{"id":"1002","type":"Title"},"toolbar":{"id":"1023","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"1004","type":"Range1d"},"x_scale":{"id":"1008","type":"LinearScale"},"y_range":{"id":"1006","type":"DataRange1d"},"y_scale":{"id":"1010","type":"LinearScale"}},"id":"1001","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"1006","type":"DataRange1d"},{"attributes":{},"id":"1045","type":"Selection"},{"attributes":{},"id":"1018","type":"BasicTicker"},{"attributes":{"items":[{"id":"1039","type":"LegendItem"}]},"id":"1038","type":"Legend"},{"attributes":{},"id":"1046","type":"UnionRenderers"},{"attributes":{"end_angle":{"expr":{"id":"1026","type":"CumSum"},"units":"rad"},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"radius":{"units":"data","value":0.4},"start_angle":{"expr":{"id":"1025","type":"CumSum"},"units":"rad"},"x":{"value":0},"y":{"value":1}},"id":"1030","type":"Wedge"},{"attributes":{"dimension":1,"grid_line_color":null,"ticker":{"id":"1018","type":"BasicTicker"}},"id":"1021","type":"Grid"},{"attributes":{"end_angle":{"expr":{"id":"1026","type":"CumSum"},"units":"rad"},"fill_color":{"field":"color"},"line_color":{"value":"white"},"radius":{"units":"data","value":0.4},"start_angle":{"expr":{"id":"1025","type":"CumSum"},"units":"rad"},"x":{"value":0},"y":{"value":1}},"id":"1029","type":"Wedge"},{"attributes":{"callback":null,"start":-0.5},"id":"1004","type":"Range1d"},{"attributes":{"label":{"field":"country"},"renderers":[{"id":"1031","type":"GlyphRenderer"}]},"id":"1039","type":"LegendItem"},{"attributes":{"text":"Relationship Between Age Intervals, House Loan and Term Deposit"},"id":"1002","type":"Title"},{"attributes":{"callback":null,"tooltips":"@country: @value"},"id":"1022","type":"HoverTool"},{"attributes":{"data_source":{"id":"1027","type":"ColumnDataSource"},"glyph":{"id":"1029","type":"Wedge"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"1030","type":"Wedge"},"selection_glyph":null,"view":{"id":"1032","type":"CDSView"}},"id":"1031","type":"GlyphRenderer"},{"attributes":{"field":"angle","include_zero":true},"id":"1025","type":"CumSum"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_multi":null,"active_scroll":"auto","active_tap":"auto","tools":[{"id":"1022","type":"HoverTool"}]},"id":"1023","type":"Toolbar"},{"attributes":{"source":{"id":"1027","type":"ColumnDataSource"}},"id":"1032","type":"CDSView"}],"root_ids":["1001"]},"title":"Bokeh Application","version":"1.2.0"}}
        </script>
        <script type="text/javascript">
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    
                  var docs_json = document.getElementById('1103').textContent;
                  var render_items = [{"docid":"a9d327a4-54ad-4f84-8680-4bf6b98ee2b3","roots":{"1001":"52fd312c-afb9-400e-a686-ca0438038291"}}];
                  root.Bokeh.embed.embed_items(docs_json, render_items);
                
                  }
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to run BokehJS code because BokehJS library is missing");
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        </script>
    
  </body>
  
</html>